Index: /branches/version-2_13-dev/data/Smarty/templates/default/contact/index.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/contact/index.tpl	(revision 23066)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/contact/index.tpl	(revision 23109)
@@ -124,5 +124,5 @@
                 <ul>
                     <li>
-                        <input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_confirm_on.jpg', this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_confirm.jpg', this)" src="<!--{$TPL_URLPATH}-->img/button/btn_confirm.jpg" alt="確認ページへ" name="confirm" />
+                        <input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_confirm.jpg" alt="確認ページへ" name="confirm" />
                     </li>
                 </ul>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/contact/confirm.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/contact/confirm.tpl	(revision 23108)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/contact/confirm.tpl	(revision 23109)
@@ -80,5 +80,5 @@
                     </li>
                     <li>
-                        <input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_complete_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_complete.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_complete.jpg" alt="送信" name="send" id="send" />
+                        <input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_complete.jpg" alt="送信" name="send" id="send" />
                     </li>
                 </ul>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/forgot/index.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/forgot/index.tpl	(revision 23066)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/forgot/index.tpl	(revision 23109)
@@ -55,5 +55,5 @@
         <div class="btn_area">
             <ul>
-                <li><input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_next_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_next.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_next.jpg" alt="次へ" name="next" id="next" /></li>
+                <li><input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_next.jpg" alt="次へ" name="next" id="next" /></li>
             </ul>
         </div>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/forgot/secret.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/forgot/secret.tpl	(revision 23066)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/forgot/secret.tpl	(revision 23109)
@@ -50,5 +50,5 @@
         <div class="btn_area">
             <ul>
-                <li><input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_next_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_next.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_next.jpg" alt="次へ" name="next" id="next" />
+                <li><input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_next.jpg" alt="次へ" name="next" id="next" />
             </ul>
         </div>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/entry/index.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/entry/index.tpl	(revision 23066)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/entry/index.tpl	(revision 23109)
@@ -39,5 +39,5 @@
                 <ul>
                     <li>
-                        <input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_confirm_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_confirm.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_confirm.jpg" alt="確認ページへ" name="confirm" id="confirm" />
+                        <input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_confirm.jpg" alt="確認ページへ" name="confirm" id="confirm" />
                     </li>
                 </ul>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/entry/confirm.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/entry/confirm.tpl	(revision 23066)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/entry/confirm.tpl	(revision 23109)
@@ -157,8 +157,10 @@
                 <ul>
                     <li>
-                        <a href="?" onclick="eccube.setModeAndSubmit('return', '', ''); return false;" onmouseover="eccube.chgImg('<!--{$TPL_URLPATH}-->img/button/btn_back_on.jpg','back')" onmouseout="eccube.chgImg('<!--{$TPL_URLPATH}-->img/button/btn_back.jpg','back')"><img src="<!--{$TPL_URLPATH}-->img/button/btn_back.jpg" alt="戻る" border="0" name="back" id="back" /></a>
+                        <a href="?" onclick="eccube.setModeAndSubmit('return', '', ''); return false;">
+                            <img class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_back.jpg" alt="戻る" />
+                        </a>
                     </li>
                     <li>
-                        <input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_entry_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_entry.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_entry.jpg" alt="会員登録をする" border="0" name="send" id="send" />
+                        <input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_entry.jpg" alt="会員登録をする" name="send" id="send" />
                     </li>
                 </ul>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/bloc/login.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/bloc/login.tpl	(revision 23101)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/bloc/login.tpl	(revision 23109)
@@ -39,5 +39,5 @@
                         <!--{if !$tpl_disable_logout}-->
                             <p class="btn">
-                                <input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_bloc_logout_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_bloc_logout.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_bloc_logout.jpg" onclick="eccube.fnFormModeSubmit('login_form', 'logout', '', ''); return false;" alt="ログアウト" />
+                                <input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_bloc_logout.jpg" onclick="eccube.fnFormModeSubmit('login_form', 'logout', '', ''); return false;" alt="ログアウト" />
                             </p>
                         <!--{/if}-->
@@ -57,9 +57,9 @@
                             <dd><input type="password" name="login_pass" class="box140" /></dd>
                             <dd class="mini">
-                            <a href="<!--{$smarty.const.HTTPS_URL}-->forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->" onclick="eccube.openWindow('<!--{$smarty.const.HTTPS_URL}-->forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->','forget','600','400',{scrollbars:'no',resizable:'no'}); return false;" target="_blank">パスワードを忘れた方はこちら</a>
+                                <a href="<!--{$smarty.const.HTTPS_URL}-->forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->" onclick="eccube.openWindow('<!--{$smarty.const.HTTPS_URL}-->forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->','forget','600','400',{scrollbars:'no',resizable:'no'}); return false;" target="_blank">パスワードを忘れた方はこちら</a>
                             </dd>
                         </dl>
                         <p class="btn">
-                            <input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_bloc_login_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_bloc_login.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_bloc_login.jpg" alt="ログイン" />
+                            <input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_bloc_login.jpg" alt="ログイン" />
                         </p>
                     <!--{/if}-->
Index: /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/bloc/search_products.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/bloc/search_products.tpl	(revision 23066)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/bloc/search_products.tpl	(revision 23109)
@@ -53,5 +53,5 @@
                     </dl>
                     <p class="btn">
-                        <input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_bloc_search_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_bloc_search.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_bloc_search.jpg" alt="検索" name="search" />
+                        <input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_bloc_search.jpg" alt="検索" name="search" />
                     </p>
                 </form>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/bloc/login_header.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/bloc/login_header.tpl	(revision 23101)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/bloc/login_header.tpl	(revision 23109)
@@ -52,5 +52,5 @@
                             <!--{/if}-->
                             <!--{if !$tpl_disable_logout}-->
-                                <input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/common/btn_header_logout_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/common/btn_header_logout.jpg',this)" src="<!--{$TPL_URLPATH}-->img/common/btn_header_logout.jpg" onclick="eccube.fnFormModeSubmit('header_login_form', 'logout', '', ''); return false;" alt="ログアウト" />
+                                <input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/common/btn_header_logout.jpg" onclick="eccube.fnFormModeSubmit('header_login_form', 'logout', '', ''); return false;" alt="ログアウト" />
                             <!--{/if}-->
                         </p>
@@ -65,5 +65,5 @@
                             <li class="password"><input type="password" class="box100" name="login_pass" title="パスワードを入力して下さい" /></li>
                             <li class="btn">
-                                <input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/common/btn_header_login_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/common/btn_header_login.jpg',this)" src="<!--{$TPL_URLPATH}-->img/common/btn_header_login.jpg" />
+                                <input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/common/btn_header_login.jpg" />
                             </li>
                             <li class="forgot">
Index: /branches/version-2_13-dev/data/Smarty/templates/default/products/review_confirm.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/products/review_confirm.tpl	(revision 23066)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/products/review_confirm.tpl	(revision 23109)
@@ -68,6 +68,6 @@
         <div class="btn_area">
             <ul>
-                <li><input type="image" onclick=" mode.value='return';" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_back_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_back.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_back.jpg" alt="戻る"    name="back" id="back" /></li>
-                <li><input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_complete_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_complete.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_complete.jpg" alt="送信" name="send" id="send" /></li>
+                <li><input type="image" onclick="mode.value='return';" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_back.jpg" alt="戻る" name="back" id="back" /></li>
+                <li><input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_complete.jpg" alt="送信" name="send" id="send" /></li>
             </ul>
         </div>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/products/review.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/products/review.tpl	(revision 23066)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/products/review.tpl	(revision 23109)
@@ -83,5 +83,5 @@
         <div class="btn_area">
             <ul>
-                <li><input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_confirm_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_confirm.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_confirm.jpg" alt="確認ページへ" name="conf" id="conf" /></li>
+                <li><input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_confirm.jpg" alt="確認ページへ" name="conf" id="conf" /></li>
             </ul>
         </div>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/products/detail.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/products/detail.tpl	(revision 23108)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/products/detail.tpl	(revision 23109)
@@ -333,7 +333,7 @@
                     <a href="./review.php"
                         onclick="eccube.openWindow('./review.php?product_id=<!--{$arrProduct.product_id}-->','review','600','640'); return false;"
-                        onmouseover="eccube.chgImg('<!--{$TPL_URLPATH}-->img/button/btn_comment_on.jpg','review');"
-                        onmouseout="eccube.chgImg('<!--{$TPL_URLPATH}-->img/button/btn_comment.jpg','review');" target="_blank">
-                        <img src="<!--{$TPL_URLPATH}-->img/button/btn_comment.jpg" alt="新規コメントを書き込む" name="review" id="review" /></a>
+                        target="_blank">
+                        <img class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_comment.jpg" alt="新規コメントを書き込む" />
+                    </a>
                 <!--{/if}-->
             </div>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/mypage/change_confirm.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/mypage/change_confirm.tpl	(revision 23108)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/mypage/change_confirm.tpl	(revision 23109)
@@ -136,5 +136,5 @@
                     </li>
                     <li>
-                        <input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_complete_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_complete.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_complete.jpg" alt="送信" name="complete" id="complete" />
+                        <input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_complete.jpg" alt="送信" name="complete" id="complete" />
                     </li>
                 </ul>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/mypage/change.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/mypage/change.tpl	(revision 23066)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/mypage/change.tpl	(revision 23109)
@@ -41,5 +41,5 @@
                 <ul>
                     <li>
-                        <input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_confirm_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_confirm.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_confirm.jpg" alt="確認ページへ" name="refusal" id="refusal" />
+                        <input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_confirm.jpg" alt="確認ページへ" name="refusal" id="refusal" />
                     </li>
                 </ul>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/mypage/login.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/mypage/login.tpl	(revision 23108)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/mypage/login.tpl	(revision 23109)
@@ -61,5 +61,5 @@
                         <ul>
                             <li>
-                                <input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_login_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_login.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_login.jpg" alt="ログイン" name="log" id="log" />
+                                <input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_login.jpg" alt="ログイン" name="log" id="log" />
                             </li>
                         </ul>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/shopping/nonmember_input.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/shopping/nonmember_input.tpl	(revision 23108)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/shopping/nonmember_input.tpl	(revision 23109)
@@ -60,5 +60,5 @@
                     <!--{if $smarty.const.USE_MULTIPLE_SHIPPING !== false}-->
                         <li>
-                            <input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_singular_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_singular.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_singular.jpg" alt="上記のお届け先のみに送る" name="singular" id="singular" />
+                            <input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_singular.jpg" alt="上記のお届け先のみに送る" name="singular" id="singular" />
                         </li>
                         <li>
@@ -69,5 +69,5 @@
                     <!--{else}-->
                         <li>
-                            <input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_next_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_next.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_next.jpg" alt="次へ" name="singular" id="singular" />
+                            <input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_next.jpg" alt="次へ" name="singular" id="singular" />
                         </li>
                     <!--{/if}-->
Index: /branches/version-2_13-dev/data/Smarty/templates/default/shopping/deliv.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/shopping/deliv.tpl	(revision 23108)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/shopping/deliv.tpl	(revision 23109)
@@ -123,9 +123,10 @@
                 <ul>
                     <li>
-                        <a href="<!--{$smarty.const.CART_URLPATH}-->" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_back_on.jpg',back03)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_back.jpg',back03)">
-                        <img src="<!--{$TPL_URLPATH}-->img/button/btn_back.jpg" alt="戻る" border="0" name="back03" id="back03" /></a>
+                        <a href="<!--{$smarty.const.CART_URLPATH}-->">
+                            <img class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_back.jpg" alt="戻る" />
+                        </a>
                     </li>
                     <li>
-                    <input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_next_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_next.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_next.jpg" alt="選択したお届け先に送る" name="send_button" id="send_button" />
+                        <input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_next.jpg" alt="選択したお届け先に送る" name="send_button" id="send_button" />
                     </li>
                 </ul>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/shopping/index.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/shopping/index.tpl	(revision 23108)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/shopping/index.tpl	(revision 23109)
@@ -58,5 +58,5 @@
                         <ul>
                             <li>
-                                <input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_login_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_login.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_login.jpg" alt="ログイン" name="log" id="log" />
+                                <input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_login.jpg" alt="ログイン" name="log" id="log" />
                             </li>
                         </ul>
@@ -98,5 +98,5 @@
                         <ul>
                             <li>
-                                <input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_buystep_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_buystep.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_buystep.jpg" alt="購入手続きへ" name="buystep" id="buystep" />
+                                <input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_buystep.jpg" alt="購入手続きへ" name="buystep" id="buystep" />
                             </li>
                         </ul>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/shopping/multiple.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/shopping/multiple.tpl	(revision 23108)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/shopping/multiple.tpl	(revision 23109)
@@ -126,9 +126,10 @@
                 <ul>
                     <li>
-                    <a href="<!--{$smarty.const.CART_URLPATH}-->" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_back_on.jpg',back03)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_back.jpg',back03)">
-                        <img src="<!--{$TPL_URLPATH}-->img/button/btn_back.jpg" alt="戻る" border="0" name="back03" id="back03" /></a>
+                        <a href="<!--{$smarty.const.CART_URLPATH}-->">
+                            <img class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_back.jpg" alt="戻る" name="back03" id="back03" />
+                        </a>
                     </li>
                     <li>
-                    <input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_address_select_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_address_select.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_address_select.jpg" alt="選択したお届け先に送る" class="box190" name="send_button" id="send_button" />
+                        <input type="image" class="hover_change_image box190" src="<!--{$TPL_URLPATH}-->img/button/btn_address_select.jpg" alt="選択したお届け先に送る" name="send_button" id="send_button" />
                     </li>
                 </ul>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/shopping/confirm.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/shopping/confirm.tpl	(revision 23108)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/shopping/confirm.tpl	(revision 23109)
@@ -60,13 +60,15 @@
                 <ul>
                     <li>
-                        <a href="./payment.php" onmouseover="eccube.chgImg('<!--{$TPL_URLPATH}-->img/button/btn_back_on.jpg', 'back04-top')" onmouseout="eccube.chgImg('<!--{$TPL_URLPATH}-->img/button/btn_back.jpg', 'back04-top')"><img src="<!--{$TPL_URLPATH}-->img/button/btn_back.jpg" alt="戻る" border="0" name="back04-top" id="back04-top" /></a>
+                        <a href="./payment.php">
+                            <img class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_back.jpg" alt="戻る" />
+                        </a>
                     </li>
                         <!--{if $use_module}-->
                     <li>
-                        <input type="image" onclick="return fnCheckSubmit();" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_next_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_next.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_next.jpg" alt="次へ" name="next-top" id="next-top" />
+                        <input type="image" onclick="return fnCheckSubmit();" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_next.jpg" alt="次へ" name="next-top" id="next-top" />
                     </li>
                         <!--{else}-->
                     <li>
-                        <input type="image" onclick="return fnCheckSubmit();" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_order_complete_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_order_complete.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_order_complete.jpg" alt="ご注文完了ページへ" name="next-top" id="next-top" />
+                        <input type="image" onclick="return fnCheckSubmit();" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_order_complete.jpg" alt="ご注文完了ページへ" name="next-top" id="next-top" />
                     </li>
                     <!--{/if}-->
@@ -372,9 +374,9 @@
                     <!--{if $use_module}-->
                     <li>
-                        <input type="image" onclick="return fnCheckSubmit();" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_next_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_next.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_next.jpg" alt="次へ" name="next" id="next" />
+                        <input type="image" onclick="return fnCheckSubmit();" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_next.jpg" alt="次へ" name="next" id="next" />
                     </li>
                     <!--{else}-->
                     <li>
-                        <input type="image" onclick="return fnCheckSubmit();" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_order_complete_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_order_complete.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_order_complete.jpg" alt="ご注文完了ページへ"  name="next" id="next" />
+                        <input type="image" onclick="return fnCheckSubmit();" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_order_complete.jpg" alt="ご注文完了ページへ"  name="next" id="next" />
                     </li>
                     <!--{/if}-->
Index: /branches/version-2_13-dev/data/Smarty/templates/default/shopping/payment.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/shopping/payment.tpl	(revision 23066)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/shopping/payment.tpl	(revision 23109)
@@ -277,9 +277,9 @@
                 <ul>
                     <li>
-                    <a href="?mode=return" onmouseover="eccube.chgImg('<!--{$TPL_URLPATH}-->img/button/btn_back_on.jpg','back03')" onmouseout="eccube.chgImg('<!--{$TPL_URLPATH}-->img/button/btn_back.jpg','back03')">
-                        <img src="<!--{$TPL_URLPATH}-->img/button/btn_back.jpg" alt="戻る" border="0" name="back03" id="back03" /></a>
+                    <a href="?mode=return">
+                        <img class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_back.jpg" alt="戻る" border="0" name="back03" id="back03" /></a>
                     </li>
                     <li>
-                        <input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_next_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_next.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_next.jpg" alt="次へ" name="next" id="next" />
+                        <input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_next.jpg" alt="次へ" name="next" id="next" />
                     </li>
                 </ul>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/cart/index.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/cart/index.tpl	(revision 23108)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/cart/index.tpl	(revision 23109)
@@ -178,5 +178,5 @@
                                 <li>
                                     <!--{if strlen($tpl_error) == 0}-->
-                                        <input type="image" onmouseover="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH|h}-->img/button/btn_buystep_on.jpg',this)" onmouseout="eccube.chgImgImageSubmit('<!--{$TPL_URLPATH|h}-->img/button/btn_buystep.jpg',this)" src="<!--{$TPL_URLPATH|h}-->img/button/btn_buystep.jpg" alt="購入手続きへ" name="confirm" />
+                                        <input type="image" class="hover_change_image" src="<!--{$TPL_URLPATH|h}-->img/button/btn_buystep.jpg" alt="購入手続きへ" name="confirm" />
                                     <!--{/if}-->
                                 </li>
Index: /branches/version-2_13-dev/html/install/templates/agreement.tpl
===================================================================
--- /branches/version-2_13-dev/html/install/templates/agreement.tpl	(revision 23066)
+++ /branches/version-2_13-dev/html/install/templates/agreement.tpl	(revision 23109)
@@ -89,10 +89,14 @@
     </table>
 
-    <table width="500" border="0" cellspacing="1" cellpadding="8" summary=" ">
+    <table width="500" border="0" cellspacing="1" cellpadding="8">
         <tr><td height="20"></td></tr>
         <tr>
             <td align="center">
-            <a href="#" onmouseover="eccube.chgImg('../img/install/back_on.jpg','back')" onmouseout="eccube.chgImg('../img/install/back.jpg','back')" onclick="document.form1['mode'].value='return_welcome';document.form1.submit();" /><img  width="105" src="../img/install/back.jpg"  height="24" alt="前へ戻る" border="0" name="back"></a>
-            <a href="#" onclick="document.form1.submit();"><input type='image' onMouseover="eccube.chgImgImageSubmit('../img/install/next_on.jpg',this)" onMouseout="eccube.chgImgImageSubmit('../img/install/next.jpg',this)" src="../img/install/next.jpg" width="105" height="24" alt="次へ進む" border="0" name="next" id="next"></a>
+                <a href="#" onclick="document.form1['mode'].value='return_welcome';document.form1.submit();">
+                    <img class="hover_change_image" width="105" src="../img/install/back.jpg" height="24" alt="前へ戻る" name="back">
+                </a>
+                <a href="#" onclick="document.form1.submit();">
+                    <input type='image' class="hover_change_image" src="../img/install/next.jpg" width="105" height="24" alt="次へ進む" name="next" id="next">
+                </a>
             </td>
         </tr>
Index: /branches/version-2_13-dev/html/js/eccube.js
===================================================================
--- /branches/version-2_13-dev/html/js/eccube.js	(revision 23108)
+++ /branches/version-2_13-dev/html/js/eccube.js	(revision 23109)
@@ -88,8 +88,4 @@
     };
 
-    eccube.chgImgImageSubmit = function(fileName,imgObj){
-        imgObj.src = fileName;
-    };
-
     // 郵便番号入力呼び出し.
     eccube.getAddress = function(php_url, tagname1, tagname2, input1, input2) {