Index: branches/version-2_13-dev/data/class/db/SC_DB_DBFactory.php
===================================================================
--- branches/version-2_13-dev/data/class/db/SC_DB_DBFactory.php	(revision 22856)
+++ branches/version-2_13-dev/data/class/db/SC_DB_DBFactory.php	(revision 23124)
@@ -34,8 +34,8 @@
      * DB_TYPE に応じた DBFactory インスタンスを生成する.
      *
-     * @param string $db_type 任意のインスタンスを返したい場合は DB_TYPE 文字列を指定
-     * @return mixed DBFactory インスタンス
+     * @param  string $db_type 任意のインスタンスを返したい場合は DB_TYPE 文字列を指定
+     * @return mixed  DBFactory インスタンス
      */
-    function getInstance($db_type = DB_TYPE)
+    public function getInstance($db_type = DB_TYPE)
     {
         switch ($db_type) {
@@ -58,8 +58,8 @@
      * $dsn が空ではない場合は, $dsn の値を返す.
      *
-     * @param mixed $dsn データソース名
+     * @param  mixed $dsn データソース名
      * @return mixed データソース名またはDB接続パラメータの連想配列
      */
-    function getDSN($dsn = '')
+    public function getDSN($dsn = '')
     {
         if (empty($dsn)) {
@@ -84,8 +84,8 @@
      * DBのバージョンを取得する.
      *
-     * @param string $dsn データソース名
+     * @param  string $dsn データソース名
      * @return string データベースのバージョン
      */
-    function sfGetDBVersion($dsn = '')
+    public function sfGetDBVersion($dsn = '')
     { return null; }
 
@@ -93,8 +93,8 @@
      * MySQL 用の SQL 文に変更する.
      *
-     * @param string $sql SQL 文
+     * @param  string $sql SQL 文
      * @return string MySQL 用に置換した SQL 文
      */
-    function sfChangeMySQL($sql)
+    public function sfChangeMySQL($sql)
     { return null; }
 
@@ -102,8 +102,8 @@
      * 昨日の売上高・売上件数を算出する SQL を返す.
      *
-     * @param string $method SUM または COUNT
+     * @param  string $method SUM または COUNT
      * @return string 昨日の売上高・売上件数を算出する SQL
      */
-    function getOrderYesterdaySql($method)
+    public function getOrderYesterdaySql($method)
     { return null; }
 
@@ -111,8 +111,8 @@
      * 当月の売上高・売上件数を算出する SQL を返す.
      *
-     * @param string $method SUM または COUNT
+     * @param  string $method SUM または COUNT
      * @return string 当月の売上高・売上件数を算出する SQL
      */
-    function getOrderMonthSql($method)
+    public function getOrderMonthSql($method)
     { return null; }
 
@@ -122,5 +122,5 @@
      * @return string 昨日のレビュー書き込み件数を算出する SQL
      */
-    function getReviewYesterdaySql()
+    public function getReviewYesterdaySql()
     { return null; }
 
@@ -130,5 +130,5 @@
      * @return string 検索条件の SQL
      */
-    function getSendHistoryWhereStartdateSql()
+    public function getSendHistoryWhereStartdateSql()
     { return null; }
 
@@ -138,5 +138,5 @@
      * @return string 検索条件の SQL
      */
-    function getDownloadableDaysWhereSql()
+    public function getDownloadableDaysWhereSql()
     { return null; }
 
@@ -144,8 +144,8 @@
      * 文字列連結を行う.
      *
-     * @param array $columns 連結を行うカラム名
+     * @param  array  $columns 連結を行うカラム名
      * @return string 連結後の SQL 文
      */
-    function concatColumn($columns)
+    public function concatColumn($columns)
     { return null; }
 
@@ -156,8 +156,8 @@
      *
      * @deprecated SC_Query::listTables() を使用してください
-     * @param string $expression 検索文字列
-     * @return array テーブル名の配列
+     * @param  string $expression 検索文字列
+     * @return array  テーブル名の配列
      */
-    function findTableNames($expression = '')
+    public function findTableNames($expression = '')
     { return array(); }
 
@@ -167,9 +167,9 @@
      * 引数に部分一致するテーブル名を配列で返す.
      *
-     * @param string $table 対象テーブル名
-     * @param string $name 対象カラム名
-     * @return array インデックス設定情報配列
+     * @param  string $table 対象テーブル名
+     * @param  string $name  対象カラム名
+     * @return array  インデックス設定情報配列
      */
-    function sfGetCreateIndexDefinition($table, $name, $definition)
+    public function sfGetCreateIndexDefinition($table, $name, $definition)
     { return $definition; }
 
@@ -177,8 +177,8 @@
      * 各 DB に応じた SC_Query での初期化を行う
      *
-     * @param SC_Query $objQuery SC_Query インスタンス
+     * @param  SC_Query $objQuery SC_Query インスタンス
      * @return void
      */
-    function initObjQuery(SC_Query &$objQuery)
+    public function initObjQuery(SC_Query &$objQuery)
     {
     }
@@ -189,5 +189,5 @@
      * @return array テーブル名の配列
      */
-    function listTables(SC_Query &$objQuery)
+    public function listTables(SC_Query &$objQuery)
     {
         $objManager =& $objQuery->conn->loadModule('Manager');
Index: branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php
===================================================================
--- branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php	(revision 22856)
+++ branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php	(revision 23124)
@@ -36,13 +36,13 @@
 {
     /** SC_Query インスタンス */
-    var $objQuery;
+    public $objQuery;
 
     /**
      * DBのバージョンを取得する.
      *
-     * @param string $dsn データソース名
+     * @param  string $dsn データソース名
      * @return string データベースのバージョン
      */
-    function sfGetDBVersion($dsn = '')
+    public function sfGetDBVersion($dsn = '')
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance($dsn);
@@ -56,8 +56,8 @@
      *
      * @access private
-     * @param string $sql SQL 文
+     * @param  string $sql SQL 文
      * @return string MySQL 用に置換した SQL 文
      */
-    function sfChangeMySQL($sql)
+    public function sfChangeMySQL($sql)
     {
         // 改行、タブを1スペースに変換
@@ -80,5 +80,5 @@
      * @return array 文字コード情報
      */
-    function getCharSet()
+    public function getCharSet()
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -91,8 +91,8 @@
      * 昨日の売上高・売上件数を算出する SQL を返す.
      *
-     * @param string $method SUM または COUNT
+     * @param  string $method SUM または COUNT
      * @return string 昨日の売上高・売上件数を算出する SQL
      */
-    function getOrderYesterdaySql($method)
+    public function getOrderYesterdaySql($method)
     {
         return 'SELECT ' . $method . '(total) FROM dtb_order '
@@ -105,8 +105,8 @@
      * 当月の売上高・売上件数を算出する SQL を返す.
      *
-     * @param string $method SUM または COUNT
+     * @param  string $method SUM または COUNT
      * @return string 当月の売上高・売上件数を算出する SQL
      */
-    function getOrderMonthSql($method)
+    public function getOrderMonthSql($method)
     {
         return 'SELECT '.$method.'(total) FROM dtb_order '
@@ -122,5 +122,5 @@
      * @return string 昨日のレビュー書き込み件数を算出する SQL
      */
-    function getReviewYesterdaySql()
+    public function getReviewYesterdaySql()
     {
         return 'SELECT COUNT(*) FROM dtb_review AS A '
@@ -138,5 +138,5 @@
      * @return string 検索条件の SQL
      */
-    function getSendHistoryWhereStartdateSql()
+    public function getSendHistoryWhereStartdateSql()
     {
         return 'start_date BETWEEN date_add(CURRENT_TIMESTAMP,INTERVAL -5 minute) AND date_add(CURRENT_TIMESTAMP,INTERVAL 5 minute)';
@@ -146,8 +146,8 @@
      * ダウンロード販売の検索条件の SQL を返す.
      *
-     * @param string $dtb_order_alias
+     * @param  string $dtb_order_alias
      * @return string 検索条件の SQL
      */
-    function getDownloadableDaysWhereSql($dtb_order_alias = 'dtb_order')
+    public function getDownloadableDaysWhereSql($dtb_order_alias = 'dtb_order')
     {
         return '(SELECT IF((SELECT d1.downloadable_days_unlimited FROM dtb_baseinfo d1)=1, 1, DATE(CURRENT_TIMESTAMP) <= DATE(DATE_ADD(' . $dtb_order_alias . '.payment_date, INTERVAL (SELECT downloadable_days FROM dtb_baseinfo) DAY))))';
@@ -157,8 +157,8 @@
      * 売上集計の期間別集計のSQLを返す
      *
-     * @param mixed $type
+     * @param  mixed  $type
      * @return string 検索条件のSQL
      */
-    function getOrderTotalDaysWhereSql($type)
+    public function getOrderTotalDaysWhereSql($type)
     {
         switch ($type) {
@@ -197,5 +197,5 @@
      * @return string 年代抽出部分の SQL
      */
-    function getOrderTotalAgeColSql()
+    public function getOrderTotalAgeColSql()
     {
         return 'TRUNC((YEAR(create_date) - YEAR(order_birth)) - (RIGHT(create_date, 5) < RIGHT(order_birth, 5)), -1)';
@@ -205,8 +205,8 @@
      * 文字列連結を行う.
      *
-     * @param array $columns 連結を行うカラム名
+     * @param  array  $columns 連結を行うカラム名
      * @return string 連結後の SQL 文
      */
-    function concatColumn($columns)
+    public function concatColumn($columns)
     {
         $sql = 'concat(';
@@ -230,8 +230,8 @@
      * 引数に部分一致するテーブル名を配列で返す.
      *
-     * @param string $expression 検索文字列
-     * @return array テーブル名の配列
-     */
-    function findTableNames($expression = '')
+     * @param  string $expression 検索文字列
+     * @return array  テーブル名の配列
+     */
+    public function findTableNames($expression = '')
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -247,8 +247,8 @@
      *
      * @access private
-     * @param string $sql SQL文
+     * @param  string $sql SQL文
      * @return string 変換後の SQL 文
      */
-    function sfChangeILIKE($sql)
+    public function sfChangeILIKE($sql)
     {
         $changesql = preg_replace('/(^|[^\w])ILIKE([^\w]|$)/i', '$1LIKE$2', $sql);
@@ -261,8 +261,8 @@
      *
      * @access private
-     * @param string $sql SQL文
+     * @param  string $sql SQL文
      * @return string 変換後の SQL 文
      */
-    function sfChangeRANDOM($sql)
+    public function sfChangeRANDOM($sql)
     {
         $changesql = preg_replace('/(^|[^\w])RANDOM\(/i', '$1RAND(', $sql);
@@ -275,8 +275,8 @@
      *
      * @access private
-     * @param string $sql SQL文
+     * @param  string $sql SQL文
      * @return string 変換後の SQL 文
      */
-    function sfChangeTrunc($sql)
+    public function sfChangeTrunc($sql)
     {
         $changesql = preg_replace('/(^|[^\w])TRUNC([^\w]|$)/i', '$1TRUNCATE$2', $sql);
@@ -289,8 +289,8 @@
      *
      * @access private
-     * @param string $sql SQL文
+     * @param  string $sql SQL文
      * @return string 変換後の SQL 文
      */
-    function sfChangeArrayToString($sql)
+    public function sfChangeArrayToString($sql)
     {
         if (strpos(strtoupper($sql), 'ARRAY_TO_STRING') !== FALSE) {
@@ -311,9 +311,9 @@
      * 引数に部分一致するテーブル名を配列で返す.
      *
-     * @param string $table 対象テーブル名
-     * @param string $name 対象カラム名
-     * @return array インデックス設定情報配列
-     */
-    function sfGetCreateIndexDefinition($table, $name, $definition)
+     * @param  string $table 対象テーブル名
+     * @param  string $name  対象カラム名
+     * @return array  インデックス設定情報配列
+     */
+    public function sfGetCreateIndexDefinition($table, $name, $definition)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -337,5 +337,5 @@
      * @return string
      */
-    function getDummyFromClauseSql()
+    public function getDummyFromClauseSql()
     {
         return 'FROM DUAL';
@@ -345,8 +345,8 @@
      * 各 DB に応じた SC_Query での初期化を行う
      *
-     * @param SC_Query $objQuery SC_Query インスタンス
+     * @param  SC_Query $objQuery SC_Query インスタンス
      * @return void
      */
-    function initObjQuery(SC_Query &$objQuery)
+    public function initObjQuery(SC_Query &$objQuery)
     {
         $objQuery->exec('SET SESSION storage_engine = InnoDB');
Index: branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php
===================================================================
--- branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php	(revision 22856)
+++ branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php	(revision 23124)
@@ -38,8 +38,8 @@
      * DBのバージョンを取得する.
      *
-     * @param string $dsn データソース名
+     * @param  string $dsn データソース名
      * @return string データベースのバージョン
      */
-    function sfGetDBVersion($dsn = '')
+    public function sfGetDBVersion($dsn = '')
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance($dsn);
@@ -56,8 +56,8 @@
      *
      * @access private
-     * @param string $sql SQL 文
+     * @param  string $sql SQL 文
      * @return string MySQL 用に置換した SQL 文
      */
-    function sfChangeMySQL($sql)
+    public function sfChangeMySQL($sql)
     {
         return $sql;
@@ -67,8 +67,8 @@
      * 昨日の売上高・売上件数を算出する SQL を返す.
      *
-     * @param string $method SUM または COUNT
+     * @param  string $method SUM または COUNT
      * @return string 昨日の売上高・売上件数を算出する SQL
      */
-    function getOrderYesterdaySql($method)
+    public function getOrderYesterdaySql($method)
     {
         return 'SELECT '.$method.'(total) FROM dtb_order '
@@ -81,8 +81,8 @@
      * 当月の売上高・売上件数を算出する SQL を返す.
      *
-     * @param string $method SUM または COUNT
+     * @param  string $method SUM または COUNT
      * @return string 当月の売上高・売上件数を算出する SQL
      */
-    function getOrderMonthSql($method)
+    public function getOrderMonthSql($method)
     {
         return 'SELECT '.$method.'(total) FROM dtb_order '
@@ -98,5 +98,5 @@
      * @return string 昨日のレビュー書き込み件数を算出する SQL
      */
-    function getReviewYesterdaySql()
+    public function getReviewYesterdaySql()
     {
         return 'SELECT COUNT(*) FROM dtb_review AS A '
@@ -114,5 +114,5 @@
      * @return string 検索条件の SQL
      */
-    function getSendHistoryWhereStartdateSql()
+    public function getSendHistoryWhereStartdateSql()
     {
         return "start_date BETWEEN current_timestamp + '- 5 minutes' AND current_timestamp + '5 minutes'";
@@ -122,8 +122,8 @@
      * ダウンロード販売の検索条件の SQL を返す.
      *
-     * @param string $dtb_order_alias
+     * @param  string $dtb_order_alias
      * @return string 検索条件の SQL
      */
-    function getDownloadableDaysWhereSql($dtb_order_alias = 'dtb_order')
+    public function getDownloadableDaysWhereSql($dtb_order_alias = 'dtb_order')
     {
         $baseinfo = SC_Helper_DB_Ex::sfGetBasisData();
@@ -151,8 +151,8 @@
      * 売上集計の期間別集計のSQLを返す
      *
-     * @param mixed $type
+     * @param  mixed  $type
      * @return string 検索条件のSQL
      */
-    function getOrderTotalDaysWhereSql($type)
+    public function getOrderTotalDaysWhereSql($type)
     {
         switch ($type) {
@@ -191,5 +191,5 @@
      * @return string 年代抽出部分の SQL
      */
-    function getOrderTotalAgeColSql()
+    public function getOrderTotalAgeColSql()
     {
         return 'TRUNC(CAST(EXTRACT(YEAR FROM AGE(create_date, order_birth)) AS INT), -1)';
@@ -199,8 +199,8 @@
      * 文字列連結を行う.
      *
-     * @param array $columns 連結を行うカラム名
+     * @param  array  $columns 連結を行うカラム名
      * @return string 連結後の SQL 文
      */
-    function concatColumn($columns)
+    public function concatColumn($columns)
     {
         $sql = '';
@@ -224,8 +224,8 @@
      *
      * @deprecated SC_Query::listTables() を使用してください
-     * @param string $expression 検索文字列
-     * @return array テーブル名の配列
-     */
-    function findTableNames($expression = '')
+     * @param  string $expression 検索文字列
+     * @return array  テーブル名の配列
+     */
+    public function findTableNames($expression = '')
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -253,5 +253,5 @@
      * @return array 文字コード情報
      */
-    function getCharSet()
+    public function getCharSet()
     {
         // 未実装
@@ -264,5 +264,5 @@
      * @return string
      */
-    function getDummyFromClauseSql()
+    public function getDummyFromClauseSql()
     {
         return '';
@@ -275,5 +275,5 @@
      * @return array テーブル名の配列
      */
-    function listTables(SC_Query &$objQuery)
+    public function listTables(SC_Query &$objQuery)
     {
         $col = 'tablename';
Index: branches/version-2_13-dev/data/class/db/SC_DB_MasterData.php
===================================================================
--- branches/version-2_13-dev/data/class/db/SC_DB_MasterData.php	(revision 22857)
+++ branches/version-2_13-dev/data/class/db/SC_DB_MasterData.php	(revision 23124)
@@ -45,8 +45,8 @@
 {
     /** SC_Query インスタンス */
-    var $objQuery;
+    public $objQuery;
 
     /** デフォルトのテーブルカラム名 */
-    var $columns = array('id', 'name', 'rank', 'remarks');
+    public $columns = array('id', 'name', 'rank', 'remarks');
 
     /**
@@ -60,10 +60,10 @@
      * 返り値は, key => value 形式の配列である.
      *
-     * @param string $name マスターデータ名
-     * @param array $columns [0] => キー, [1] => 表示文字列, [2] => 表示順
+     * @param string $name    マスターデータ名
+     * @param array  $columns [0] => キー, [1] => 表示文字列, [2] => 表示順
      *                        を表すカラム名を格納した配列
      * @return array マスターデータ
      */
-    function getMasterData($name, $columns = array())
+    public function getMasterData($name, $columns = array())
     {
         $columns = $this->getDefaultColumnName($columns);
@@ -90,12 +90,12 @@
      * $masterData は key => value 形式の配列である必要がある.
      *
-     * @param string $name マスターデータ名
-     * @param array $columns [0] => キー, [1] => 表示文字列, [2] => 表示順
-     *                        を表すカラム名を格納した配列
-     * @param array $masterData マスターデータ
-     * @param bool $autoCommit トランザクションを自動的に commit する場合 true
+     * @param string $name    マスターデータ名
+     * @param array  $columns [0] => キー, [1] => 表示文字列, [2] => 表示順
+     *                        を表すカラム名を格納した配列
+     * @param  array   $masterData マスターデータ
+     * @param  bool    $autoCommit トランザクションを自動的に commit する場合 true
      * @return integer マスターデータの登録数
      */
-    function registMasterData($name, $columns, $masterData, $autoCommit = true)
+    public function registMasterData($name, $columns, $masterData, $autoCommit = true)
     {
         $columns = $this->getDefaultColumnName($columns);
@@ -126,12 +126,12 @@
      * $masterData は key => value 形式の配列である必要がある.
      *
-     * @param string $name マスターデータ名
-     * @param array $columns [0] => キー, [1] => 表示文字列, [2] => 表示順
-     *                        を表すカラム名を格納した配列
-     * @param array $masterData マスターデータ
-     * @param bool $autoCommit トランザクションを自動的に commit する場合 true
+     * @param string $name    マスターデータ名
+     * @param array  $columns [0] => キー, [1] => 表示文字列, [2] => 表示順
+     *                        を表すカラム名を格納した配列
+     * @param  array   $masterData マスターデータ
+     * @param  bool    $autoCommit トランザクションを自動的に commit する場合 true
      * @return integer マスターデータの更新数
      */
-    function updateMasterData($name, $columns, $masterData, $autoCommit = true)
+    public function updateMasterData($name, $columns, $masterData, $autoCommit = true)
     {
         $columns = $this->getDefaultColumnName($columns);
@@ -162,11 +162,11 @@
      * $masterData は key => value 形式の配列である必要がある.
      *
-     * @param string $name マスターデータ名
-     * @param string $key キー名
-     * @param string $comment コメント
-     * @param bool $autoCommit トランザクションを自動的に commit する場合 true
+     * @param  string  $name       マスターデータ名
+     * @param  string  $key        キー名
+     * @param  string  $comment    コメント
+     * @param  bool    $autoCommit トランザクションを自動的に commit する場合 true
      * @return integer マスターデータの更新数
      */
-    function insertMasterData($name, $key, $value, $comment, $autoCommit = true)
+    public function insertMasterData($name, $key, $value, $comment, $autoCommit = true)
     {
         $columns = $this->getDefaultColumnName();
@@ -197,9 +197,9 @@
      * キャッシュも削除する.
      *
-     * @param string $name マスターデータ名
-     * @param bool $autoCommit トランザクションを自動的に commit する場合 true
+     * @param  string  $name       マスターデータ名
+     * @param  bool    $autoCommit トランザクションを自動的に commit する場合 true
      * @return integer マスターデータの削除数
      */
-    function deleteMasterData($name, $autoCommit = true)
+    public function deleteMasterData($name, $autoCommit = true)
     {
         $this->objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -222,8 +222,8 @@
      * マスターデータのキャッシュを消去する.
      *
-     * @param string $name マスターデータ名
-     * @return bool 消去した場合 true
-     */
-    function clearCache($name)
+     * @param  string $name マスターデータ名
+     * @return bool   消去した場合 true
+     */
+    public function clearCache($name)
     {
         $masterDataFile = MASTER_DATA_REALDIR . $name . '.php';
@@ -246,12 +246,12 @@
      * 定数コメントを生成する場合は, $commentColumn を指定する.
      *
-     * @param string $name マスターデータ名
-     * @param array $masterData マスターデータ
-     * @param bool $isDefine 定数を生成する場合 true
-     * @param array $commentColumn [0] => キー, [1] => コメント文字列,
+     * @param string $name          マスターデータ名
+     * @param array  $masterData    マスターデータ
+     * @param bool   $isDefine      定数を生成する場合 true
+     * @param array  $commentColumn [0] => キー, [1] => コメント文字列,
      *                             [2] => 表示順 を表すカラム名を格納した配列
      * @return bool キャッシュの生成に成功した場合 true
      */
-    function createCache($name, $columns = array(), $isDefine = false, $commentColumn = array())
+    public function createCache($name, $columns = array(), $isDefine = false, $commentColumn = array())
     {
         // マスターデータを取得
@@ -286,4 +286,5 @@
         if (fwrite($handle, $data) === false) {
             fclose($handle);
+
             return false;
         }
@@ -300,10 +301,10 @@
      * 返り値は, key => value 形式の配列である.
      *
-     * @param string $name マスターデータ名
-     * @param array $columns [0] => キー, [1] => 表示文字列, [2] => 表示順
+     * @param string $name    マスターデータ名
+     * @param array  $columns [0] => キー, [1] => 表示文字列, [2] => 表示順
      *                        を表すカラム名を格納した配列
      * @return array マスターデータ
      */
-    function getDbMasterData($name, $columns = array())
+    public function getDbMasterData($name, $columns = array())
     {
         $columns = $this->getDefaultColumnName($columns);
@@ -334,5 +335,5 @@
      * @return array カラム名を格納した配列
      */
-    function getDefaultColumnName($columns = array())
+    public function getDefaultColumnName($columns = array())
     {
         if (!empty($columns)) {
@@ -347,9 +348,9 @@
      *
      * @access private
-     * @param array $masterData マスターデータの配列
-     * @param array $comments コメントの配列
+     * @param  array  $masterData マスターデータの配列
+     * @param  array  $comments   コメントの配列
      * @return string 定数定義の文字列
      */
-    function getMasterDataAsDefine($masterData, $comments = array())
+    public function getMasterDataAsDefine($masterData, $comments = array())
     {
         $data = '';