Index: /branches/version-2_13-dev/data/class/pages/LC_Page.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/LC_Page.php	(revision 23124)
+++ /branches/version-2_13-dev/data/class/pages/LC_Page.php	(revision 23142)
@@ -76,4 +76,7 @@
     /** ページレイアウトを読み込むか */
     public $skip_load_page_layout = false;
+
+    /** 2.12.x 以前のJavaScript関数を読み込むかどうか */
+    public $load_legacy_js = false;
 
     /**
Index: /branches/version-2_13-dev/data/Smarty/templates/default/popup_header.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/popup_header.tpl	(revision 23111)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/popup_header.tpl	(revision 23142)
@@ -30,7 +30,8 @@
 <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/jquery-1.4.2.min.js"></script>
 <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.js"></script>
-<!--{* 従来のJavaScript関数が必要な場合は、コメントアウトを外してスクリプトファイルを読み込んでください。
+<!--{if $load_legacy_js}-->
+    <!--{* 従来のJavaScript関数が必要な場合 LC_Page::init() で $load_legacy_js を true に設定する *}-->
     <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
-*}-->
+<!--{/if}-->
 <title><!--{$arrSiteInfo.shop_name}-->/<!--{$subtitle|h}--></title>
 <link rel="shortcut icon" href="<!--{$TPL_URLPATH}-->img/common/favicon.ico" />
Index: /branches/version-2_13-dev/data/Smarty/templates/default/site_frame.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/site_frame.tpl	(revision 23138)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/site_frame.tpl	(revision 23142)
@@ -47,7 +47,8 @@
 <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/jquery-1.4.2.min.js"></script>
 <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.js"></script>
-<!--{* 従来のJavaScript関数が必要な場合は、コメントアウトを外してスクリプトファイルを読み込んでください。
+<!--{if $load_legacy_js}-->
+    <!--{* 従来のJavaScript関数が必要な場合 LC_Page::init() で $load_legacy_js を true に設定する *}-->
     <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
-*}-->
+<!--{/if}-->
 <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/jquery.colorbox/jquery.colorbox-min.js"></script>
 <!--{if $tpl_page_class_name === "LC_Page_Abouts"}-->
Index: /branches/version-2_13-dev/data/Smarty/templates/admin/main_frame.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/admin/main_frame.tpl	(revision 23138)
+++ /branches/version-2_13-dev/data/Smarty/templates/admin/main_frame.tpl	(revision 23142)
@@ -44,8 +44,9 @@
 <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.js"></script>
 <script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/eccube.admin.js"></script>
-<!--{* 従来のJavaScript関数が必要な場合は、コメントアウトを外してスクリプトファイルを読み込んでください。
+<!--{if $load_legacy_js}-->
+    <!--{* 従来のJavaScript関数が必要な場合 LC_Page::init() で $load_legacy_js を true に設定する *}-->
     <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
     <script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/eccube.admin.legacy.js"></script>
-*}-->
+<!--{/if}-->
 <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/jquery.colorbox/jquery.colorbox-min.js"></script>
 <title><!--{$smarty.const.ADMIN_TITLE}--></title>
Index: /branches/version-2_13-dev/data/Smarty/templates/admin/login_frame.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/admin/login_frame.tpl	(revision 23129)
+++ /branches/version-2_13-dev/data/Smarty/templates/admin/login_frame.tpl	(revision 23142)
@@ -33,7 +33,8 @@
 <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/jquery-1.4.2.min.js"></script>
 <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.js"></script>
-<!--{* 従来のJavaScript関数が必要な場合は、コメントアウトを外してスクリプトファイルを読み込んでください。
+<!--{if $load_legacy_js}-->
+    <!--{* 従来のJavaScript関数が必要な場合 LC_Page::init() で $load_legacy_js を true に設定する *}-->
     <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
-*}-->
+<!--{/if}-->
 <title>管理機能</title>
 <link rel="shortcut icon" href="<!--{$TPL_URLPATH}-->img/common/favicon.ico" />
Index: /branches/version-2_13-dev/data/Smarty/templates/admin/admin_popup_header.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/admin/admin_popup_header.tpl	(revision 23129)
+++ /branches/version-2_13-dev/data/Smarty/templates/admin/admin_popup_header.tpl	(revision 23142)
@@ -35,8 +35,9 @@
 <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.js"></script>
 <script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/eccube.admin.js"></script>
-<!--{* 従来のJavaScript関数が必要な場合は、コメントアウトを外してスクリプトファイルを読み込んでください。
+<!--{if $load_legacy_js}-->
+    <!--{* 従来のJavaScript関数が必要な場合 LC_Page::init() で $load_legacy_js を true に設定する *}-->
     <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
     <script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/eccube.admin.legacy.js"></script>
-*}-->
+<!--{/if}-->
 <link rel="shortcut icon" href="<!--{$TPL_URLPATH}-->img/common/favicon.ico" />
 <link rel="icon" type="image/vnd.microsoft.icon" href="<!--{$TPL_URLPATH}-->img/common/favicon.ico" />
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/popup_header.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/popup_header.tpl	(revision 23111)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/popup_header.tpl	(revision 23142)
@@ -35,8 +35,9 @@
     <script src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.js"></script>
     <script src="<!--{$TPL_URLPATH}-->js/eccube.sphone.js"></script>
-    <!--{* 従来のJavaScript関数が必要な場合は、コメントアウトを外してスクリプトファイルを読み込んでください。
+    <!--{if $load_legacy_js}-->
+        <!--{* 従来のJavaScript関数が必要な場合 LC_Page::init() で $load_legacy_js を true に設定する *}-->
         <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
         <script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/eccube.sphone.legacy.js"></script>
-    *}-->
+    <!--{/if}-->
     <script src="<!--{$TPL_URLPATH}-->js/jquery.biggerlink.js"></script>
     <script type="text/javascript">
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/site_frame.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/site_frame.tpl	(revision 23138)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/site_frame.tpl	(revision 23142)
@@ -52,8 +52,9 @@
         <script src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.js"></script>
         <script src="<!--{$TPL_URLPATH}-->js/eccube.sphone.js"></script>
-        <!--{* 従来のJavaScript関数が必要な場合は、コメントアウトを外してスクリプトファイルを読み込んでください。
+        <!--{if $load_legacy_js}-->
+            <!--{* 従来のJavaScript関数が必要な場合 LC_Page::init() で $load_legacy_js を true に設定する *}-->
             <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
             <script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/eccube.sphone.legacy.js"></script>
-        *}-->
+        <!--{/if}-->
         <script src="<!--{$TPL_URLPATH}-->js/jquery.biggerlink.js"></script>
         <script>//<![CDATA[