Index: /branches/version-2_13_0/data/Smarty/templates/sphone/cart/index.tpl
===================================================================
--- /branches/version-2_13_0/data/Smarty/templates/sphone/cart/index.tpl	(revision 23126)
+++ /branches/version-2_13_0/data/Smarty/templates/sphone/cart/index.tpl	(revision 23157)
@@ -117,5 +117,5 @@
                                                     <span class="mini"><!--{$arrItem.productsClass.class_name2}-->：<!--{$arrItem.productsClass.classcategory_name2}--></span><br />
                                                 <!--{/if}-->
-                                                <span class="mini">価格:</span><!--{$arrItem.price|sfCalcIncTax|number_format}-->円
+                                                <span class="mini">価格:</span><!--{$arrItem.price_inctax|number_format}-->円
                                             </p>
                                             <p class="btn_delete">
Index: /branches/version-2_13_0/data/Smarty/templates/mobile/cart/index.tpl
===================================================================
--- /branches/version-2_13_0/data/Smarty/templates/mobile/cart/index.tpl	(revision 22766)
+++ /branches/version-2_13_0/data/Smarty/templates/mobile/cart/index.tpl	(revision 23157)
@@ -57,5 +57,5 @@
                     <!--{* 規格名2 *}--><!--{if $item.productsClass.classcategory_name2 != ""}--><!--{$item.productsClass.class_name2|h}-->：<!--{$item.productsClass.classcategory_name2|h}--><br><!--{/if}-->
                     <!--{* 販売価格 *}-->
-                    <!--{$item.price|sfCalcIncTax|number_format}-->円
+                    <!--{$item.price_inctax|number_format}-->円
                     × <!--{$item.quantity}--><br>
                     <br>
Index: /branches/version-2_13_0/data/Smarty/templates/admin/basis/tax.tpl
===================================================================
--- /branches/version-2_13_0/data/Smarty/templates/admin/basis/tax.tpl	(revision 23103)
+++ /branches/version-2_13_0/data/Smarty/templates/admin/basis/tax.tpl	(revision 23157)
@@ -30,4 +30,5 @@
 
 <h2>税率設定</h2>
+    <span class="attention"><!--{$arrErr.tax_rule_id}--></span>
 
     <table id="basis-tax-func">
Index: /branches/version-2_13_0/data/class/SC_CartSession.php
===================================================================
--- /branches/version-2_13_0/data/class/SC_CartSession.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/SC_CartSession.php	(revision 23157)
@@ -171,5 +171,5 @@
             $incTax = SC_Helper_TaxRule_Ex::sfCalcIncTax($price,
                 $this->cartSession[$productTypeId][$i]['productsClass']['product_id'],
-                $this->cartSession[$productTypeId][$i]['id'][0],
+                $this->cartSession[$productTypeId][$i]['productsClass']['product_class_id'],
                 $pref_id, $country_id);
 
@@ -191,5 +191,5 @@
             $tax = SC_Helper_TaxRule_Ex::sfTax($price,
                 $this->cartSession[$productTypeId][$i]['productsClass']['product_id'],
-                $this->cartSession[$productTypeId][$i]['id'][0],
+                $this->cartSession[$productTypeId][$i]['productsClass']['product_class_id'],
                 $pref_id, $country_id);
 
@@ -416,5 +416,5 @@
                 $arrTaxRule = SC_Helper_TaxRule_Ex::getTaxRule(
                                     $this->cartSession[$productTypeId][$i]['productsClass']['product_id'],
-                                    $this->cartSession[$productTypeId][$i]['id'][0],
+                                    $this->cartSession[$productTypeId][$i]['productsClass']['product_class_id'],
                                     $pref_id,
                                     $country_id);
Index: /branches/version-2_13_0/data/class/helper/SC_Helper_TaxRule.php
===================================================================
--- /branches/version-2_13_0/data/class/helper/SC_Helper_TaxRule.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/helper/SC_Helper_TaxRule.php	(revision 23157)
@@ -168,12 +168,24 @@
             $table = 'dtb_tax_rule';
             $cols = '*';
-            $where = '((product_id = 0 OR product_id = ?)'
-                        . ' OR (product_class_id = 0 OR product_class_id = ?))'
-                        . ' AND (pref_id = 0 OR pref_id = ?)'
-                        . ' AND (country_id = 0 OR country_id = ?)'
-                        . ' AND apply_date < CURRENT_TIMESTAMP'
-                        . ' AND del_flg = 0';
-
-            $arrVal = array($product_id, $product_class_id, $pref_id, $country_id);
+            
+            // 商品税率有無設定により分岐
+            if(OPTION_PRODUCT_TAX_RULE == 1) {
+                $where = '((product_id = 0 OR product_id = ?)'
+                            . ' OR (product_class_id = 0 OR product_class_id = ?))'
+                            . ' AND (pref_id = 0 OR pref_id = ?)'
+                            . ' AND (country_id = 0 OR country_id = ?)'
+                            . ' AND apply_date < CURRENT_TIMESTAMP'
+                            . ' AND del_flg = 0';
+                $arrVal = array($product_id, $product_class_id, $pref_id, $country_id);
+            } else {
+                $where = '     product_id = 0 '
+                       . ' AND product_class_id = 0 '
+                       . ' AND (pref_id = 0 OR pref_id = ?)'
+                       . ' AND (country_id = 0 OR country_id = ?)'
+                       . ' AND apply_date < CURRENT_TIMESTAMP'
+                       . ' AND del_flg = 0';
+                $arrVal = array($pref_id, $country_id);
+            }
+
             $order = 'apply_date DESC';
             $objQuery->setOrder($order);
Index: /branches/version-2_13_0/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 23157)
@@ -367,6 +367,6 @@
         $objFormParam->addParam('規格名1', 'classcategory_name1');
         $objFormParam->addParam('規格名2', 'classcategory_name2');
-        $objFormParam->addParam('税率', 'tax_rate');
-        $objFormParam->addParam('課税規則', 'tax_rule');
+        $objFormParam->addParam('税率', 'tax_rate', INT_LEN, 'n', array('NUM_CHECK'));
+        $objFormParam->addParam('課税規則', 'tax_rule', INT_LEN, 'n', array('NUM_CHECK'));
         $objFormParam->addParam('メモ', 'note', MTEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK'));
         $objFormParam->addParam('削除用項番', 'delete_no', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
Index: /branches/version-2_13_0/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tax.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tax.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tax.php	(revision 23157)
@@ -194,5 +194,4 @@
         $objFormParam->addParam('適用時', 'apply_date_hour', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
         $objFormParam->addParam('適用分', 'apply_date_minutes', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam('適用日時', 'apply_date_year', 'apply_date_month', 'apply_date_day', INT_LEN, 'n', array("CHECK_DATE"));
     }
 
@@ -256,4 +255,5 @@
         $arrErr = $objFormParam->checkError();
         $arrForm = $objFormParam->getHashArray();
+        $objErr = new SC_CheckError_Ex($arrForm);
 
         // tax_rule_id の正当性チェック
@@ -267,16 +267,19 @@
         }
 
-        if ($arrForm['tax_rule_id'] != '0') {
-        $apply_date = SC_Utils_Ex::sfGetTimestampistime(
-                $arrForm['apply_date_year'],
-                sprintf("%02d", $arrForm['apply_date_month']),
-                sprintf("%02d", $arrForm['apply_date_day']),
-                sprintf("%02d", $arrForm['apply_date_hour']),
-                sprintf("%02d", $arrForm['apply_date_minutes'])
-                );
-
-        // 税規約情報読み込み
-        $arrTaxRuleByTime = $objTaxRule->getTaxRuleByTime($apply_date);
-        // 編集中のレコード以外に同じ消費税率、課税規則が存在する場合
+        // 適用日時チェック
+        $objErr->doFunc(array('適用日時', 'apply_date_year', 'apply_date_month', 'apply_date_day'), array('CHECK_DATE'));
+        if (SC_Utils_Ex::isBlank($objErr->arrErr['apply_date_year']) && $arrForm['tax_rule_id'] != '0') {
+            $apply_date = SC_Utils_Ex::sfGetTimestampistime(
+                    $arrForm['apply_date_year'],
+                    sprintf("%02d", $arrForm['apply_date_month']),
+                    sprintf("%02d", $arrForm['apply_date_day']),
+                    sprintf("%02d", $arrForm['apply_date_hour']),
+                    sprintf("%02d", $arrForm['apply_date_minutes'])
+                    );
+
+            // 税規約情報読み込み
+            $arrTaxRuleByTime = $objTaxRule->getTaxRuleByTime($apply_date);
+
+            // 編集中のレコード以外に同じ消費税率、課税規則が存在する場合
             if (
                 !SC_Utils_Ex::isBlank($arrTaxRuleByTime)
@@ -287,4 +290,7 @@
             }
         }
+        if (!SC_Utils_Ex::isBlank($objErr->arrErr)) {
+            $arrErr = array_merge($arrErr, $objErr->arrErr);
+        }
 
         return $arrErr;