Index: /branches/version-2_13-dev/data/class/pages/entry/LC_Page_Entry.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/entry/LC_Page_Entry.php	(revision 23132)
+++ /branches/version-2_13-dev/data/class/pages/entry/LC_Page_Entry.php	(revision 23160)
@@ -45,4 +45,6 @@
         $this->arrReminder  = $masterData->getMasterData('mtb_reminder');
         $this->arrCountry   = $masterData->getMasterData('mtb_country');
+        $this->arrSex       = $masterData->getMasterData('mtb_sex');
+        $this->arrMAILMAGATYPE = $masterData->getMasterData('mtb_mail_magazine_type');
 
         // 生年月日選択肢の取得
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/form_personal_input.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/form_personal_input.tpl	(revision 23066)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/form_personal_input.tpl	(revision 23160)
@@ -128,6 +128,5 @@
         <!--{/if}-->
         <span style="<!--{$arrErr[$key1]|sfGetErrorColor}-->">
-            <input type="radio" id="man" name="<!--{$key1}-->" value="1" <!--{if $arrForm[$key1].value eq 1}--> checked="checked" <!--{/if}--> class="data-role-none" /><label for="man">男性</label>&nbsp;&nbsp;
-            <input type="radio" id="woman" name="<!--{$key1}-->" value="2" <!--{if $arrForm[$key1].value eq 2}--> checked="checked" <!--{/if}--> class="data-role-none" /><label for="woman">女性</label>
+            <!--{html_radios name=$key1 options=$arrSex selected=$arrForm[$key1].value separator='&nbsp;&nbsp;'}-->
         </span>
     </dd>
@@ -147,16 +146,19 @@
     <dt>生年月日</dt>
     <dd>
-        <!--{assign var=errBirth value="`$arrErr.year``$arrErr.month``$arrErr.day`"}-->
+        <!--{assign var=key1 value="`$prefix`year"}-->
+        <!--{assign var=key2 value="`$prefix`month"}-->
+        <!--{assign var=key3 value="`$prefix`day"}-->
+        <!--{assign var=errBirth value="`$arrErr.$key1``$arrErr.$key2``$arrErr.$key3`"}-->
         <!--{if $errBirth}-->
-            <div class="attention"><!--{$errBirth}--></div>
-        <!--{/if}-->
-        <select name="year" style="<!--{$errBirth|sfGetErrorColor}-->" class="boxShort data-role-none">
-            <!--{html_options options=$arrYear selected=$arrForm.year.value|default:''}-->
+        <div class="attention"><!--{$errBirth}--></div>
+        <!--{/if}-->
+        <select name="<!--{$key1}-->" style="<!--{$errBirth|sfGetErrorColor}-->" class="boxShort data-role-none">
+            <!--{html_options options=$arrYear selected=$arrForm[$key1].value|default:''}-->
         </select><span class="selectdate">年</span>
-        <select name="month" style="<!--{$errBirth|sfGetErrorColor}-->" class="boxShort data-role-none">
-            <!--{html_options options=$arrMonth selected=$arrForm.month.value|default:''}-->
+        <select name="<!--{$key2}-->" style="<!--{$errBirth|sfGetErrorColor}-->" class="boxShort data-role-none">
+            <!--{html_options options=$arrMonth selected=$arrForm[$key2].value|default:''}-->
         </select><span class="selectdate">月</span>
-        <select name="day" style="<!--{$errBirth|sfGetErrorColor}-->" class="boxShort data-role-none">
-            <!--{html_options options=$arrDay selected=$arrForm.day.value|default:''}-->
+        <select name="<!--{$key3}-->" style="<!--{$errBirth|sfGetErrorColor}-->" class="boxShort data-role-none">
+            <!--{html_options options=$arrDay selected=$arrForm[$key3].value|default:''}-->
         </select><span class="selectdate">日</span>
     </dd>
@@ -165,9 +167,11 @@
         <dt>希望するパスワード&nbsp;<span class="attention">※</span></dt>
         <dd>
-            <!--{if $arrErr.password || $arrErr.password02}-->
-                <div class="attention"><!--{$arrErr.password}--><!--{$arrErr.password02}--></div>
-            <!--{/if}-->
-            <input type="password" name="password" value="<!--{$arrForm.password.value|h}-->" maxlength="<!--{$arrForm.password.length}-->" style="<!--{$arrErr.password|sfGetErrorColor}-->" class="boxLong text top data-role-none" />
-            <input type="password" name="password02" value="<!--{$arrForm.password02.value|h}-->" maxlength="<!--{$arrForm.password02.length}-->" style="<!--{$arrErr.password|cat:$arrErr.password02|sfGetErrorColor}-->" class="boxLong text data-role-none" placeholder="確認のため2回入力してください" />
+            <!--{assign var=key1 value="`$prefix`password"}-->
+            <!--{assign var=key2 value="`$prefix`password02"}-->
+            <!--{if $arrErr[$key1] || $arrErr[$key2]}-->
+            <div class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></div>
+            <!--{/if}-->
+            <input type="password" name="<!--{$key1}-->" value="<!--{$arrForm[$key1].value|h}-->" maxlength="<!--{$arrForm[$key1].length}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->" class="boxLong text top data-role-none" />
+            <input type="password" name="<!--{$key2}-->" value="<!--{$arrForm[$key2].value|h}-->" maxlength="<!--{$arrForm[$key2].length}-->" style="<!--{$arrErr[$key1]|cat:$arrErr[$key2]|sfGetErrorColor}-->" class="boxLong text data-role-none" placeholder="確認のため2回入力してください" />
             <p class="attention mini">半角英数字<!--{$smarty.const.PASSWORD_MIN_LEN}-->～<!--{$smarty.const.PASSWORD_MAX_LEN}-->文字</p>
         </dd>
@@ -175,24 +179,27 @@
         <dt>パスワードを忘れた時のヒント&nbsp;<span class="attention">※</span></dt>
         <dd>
-            <!--{if $arrErr.reminder || $arrErr.reminder_answer}-->
-                <div class="attention"><!--{$arrErr.reminder}--><!--{$arrErr.reminder_answer}--></div>
-            <!--{/if}-->
-            <select name="reminder" style="<!--{$arrErr.reminder|sfGetErrorColor}-->" class="boxLong top data-role-none">
+            <!--{assign var=key1 value="`$prefix`reminder"}-->
+            <!--{assign var=key2 value="`$prefix`reminder_answer"}-->
+            <!--{if $arrErr[$key1] || $arrErr[$key2]}-->
+            <div class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></div>
+            <!--{/if}-->
+            <select name="<!--{$key1}-->" style="<!--{$arrErr.reminder|sfGetErrorColor}-->" class="boxLong top data-role-none">
                 <option value="">質問を選択してください</option>
-                <!--{html_options options=$arrReminder selected=$arrForm.reminder.value}-->
+                <!--{html_options options=$arrReminder selected=$arrForm[$key1].value}-->
             </select>
 
-            <input type="text" name="reminder_answer" value="<!--{$arrForm.reminder_answer.value|h}-->" class="boxLong text data-role-none" placeholder="質問の答えを入力してください" />
+            <input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2].value|h}-->" class="boxLong text data-role-none" placeholder="質問の答えを入力してください" />
         </dd>
 
         <dt>メールマガジン&nbsp;<span class="attention">※</span></dt>
         <dd>
-            <!--{if $arrErr.mailmaga_flg}-->
-                <div class="attention"><!--{$arrErr.mailmaga_flg}--></div>
+            <!--{assign var=key1 value="`$prefix`mailmaga_flg"}-->
+            <!--{if $arrErr[$key1]}-->
+                <div class="attention"><!--{$arrErr[$key1]}--></div>
             <!--{/if}-->
             <ul style="<!--{$arrErr.mailmaga_flg|sfGetErrorColor}-->">
-                <li><input type="radio" name="mailmaga_flg" value="1" id="html" <!--{if $arrForm.mailmaga_flg.value eq 1}--> checked="checked" <!--{/if}--> class="data-role-none" /><label for="html">HTMLメール＋テキストメールを受け取る</label></li>
-                <li><input type="radio" name="mailmaga_flg" value="2" id="text" <!--{if $arrForm.mailmaga_flg.value eq 2}--> checked="checked" <!--{/if}--> class="data-role-none" /><label for="text">テキストメールを受け取る</label></li>
-                <li><input type="radio" name="mailmaga_flg" value="3" id="no" <!--{if $arrForm.mailmaga_flg.value eq 3}--> checked="checked" <!--{/if}--> class="data-role-none" /><label for="no">受け取らない</label></li>
+                <!--{foreach from=$arrMAILMAGATYPE name=cnt item=type key=key}-->
+                <li><input type="radio" name="<!--{$key1}-->" value="<!--{$key}-->" id="<!--{$key1}--><!--{$key}-->" <!--{if $arrForm[$key1].value == $key}--> checked="checked" <!--{/if}--> class="data-role-none" /><label for="<!--{$key1}--><!--{$key}-->"><!--{$type}--></label></li>
+                <!--{/foreach}-->
             </ul>
         </dd>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/entry/confirm.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/entry/confirm.tpl	(revision 23109)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/entry/confirm.tpl	(revision 23160)
@@ -60,5 +60,5 @@
                     <th>国</th>
                     <td>
-                        <!--{$arrCountry[$arrForm.country_id].value|h}-->
+                        <!--{$arrCountry[$arrForm.country_id.value]|h}-->
                     </td>
                 </tr>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/form_personal_input.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/form_personal_input.tpl	(revision 23066)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/form_personal_input.tpl	(revision 23160)
@@ -186,6 +186,5 @@
                 <!--{/if}-->
                 <span style="<!--{$arrErr[$key1]|sfGetErrorColor}-->">
-                    <input type="radio" id="man" name="<!--{$key1}-->" value="1" <!--{if $arrForm[$key1].value eq 1}--> checked="checked" <!--{/if}--> /><label for="man">男性</label>
-                    <input type="radio" id="woman" name="<!--{$key1}-->" value="2" <!--{if $arrForm[$key1].value eq 2}--> checked="checked" <!--{/if}--> /><label for="woman">女性</label>
+                    <!--{html_radios name=$key1 options=$arrSex selected=$arrForm[$key1].value separator='<br />'}-->
                 </span>
             </td>
@@ -207,16 +206,19 @@
             <th>生年月日</th>
             <td>
-                <!--{assign var=errBirth value="`$arrErr.year``$arrErr.month``$arrErr.day`"}-->
+                <!--{assign var=key1 value="`$prefix`year"}-->
+                <!--{assign var=key2 value="`$prefix`month"}-->
+                <!--{assign var=key3 value="`$prefix`day"}-->
+                <!--{assign var=errBirth value="`$arrErr.$key1``$arrErr.$key2``$arrErr.$key3`"}-->
                 <!--{if $errBirth}-->
                     <div class="attention"><!--{$errBirth}--></div>
                 <!--{/if}-->
-                <select name="year" style="<!--{$errBirth|sfGetErrorColor}-->">
-                    <!--{html_options options=$arrYear selected=$arrForm.year.value|default:''}-->
+                <select name="<!--{$key1}-->" style="<!--{$errBirth|sfGetErrorColor}-->">
+                    <!--{html_options options=$arrYear selected=$arrForm[$key1].value|default:''}-->
                 </select>年&nbsp;
-                <select name="month" style="<!--{$errBirth|sfGetErrorColor}-->">
-                    <!--{html_options options=$arrMonth selected=$arrForm.month.value|default:''}-->
+                <select name="<!--{$key2}-->" style="<!--{$errBirth|sfGetErrorColor}-->">
+                    <!--{html_options options=$arrMonth selected=$arrForm[$key2].value|default:''}-->
                 </select>月&nbsp;
-                <select name="day" style="<!--{$errBirth|sfGetErrorColor}-->">
-                    <!--{html_options options=$arrDay selected=$arrForm.day.value|default:''}-->
+                <select name="<!--{$key3}-->" style="<!--{$errBirth|sfGetErrorColor}-->">
+                    <!--{html_options options=$arrDay selected=$arrForm[$key3].value|default:''}-->
                 </select>日
             </td>
@@ -227,10 +229,12 @@
                 </th>
                 <td>
-                    <!--{if $arrErr.password || $arrErr.password02}-->
-                        <div class="attention"><!--{$arrErr.password}--><!--{$arrErr.password02}--></div>
-                    <!--{/if}-->
-                    <input type="password" name="password" value="<!--{$arrForm.password.value|h}-->" maxlength="<!--{$arrForm.password.length}-->" style="<!--{$arrErr.password|sfGetErrorColor}-->" class="box120" />
+                    <!--{assign var=key1 value="`$prefix`password"}-->
+                    <!--{assign var=key2 value="`$prefix`password02"}-->
+                    <!--{if $arrErr[$key1] || $arrErr[$key2]}-->
+                        <div class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></div>
+                    <!--{/if}-->
+                    <input type="password" name="<!--{$key1}-->" value="<!--{$arrForm[$key1].value|h}-->" maxlength="<!--{$arrForm[$key1].length}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->" class="box120" />
                     <p><span class="attention mini">半角英数字<!--{$smarty.const.PASSWORD_MIN_LEN}-->～<!--{$smarty.const.PASSWORD_MAX_LEN}-->文字でお願いします。（記号可）</span></p>
-                    <input type="password" name="password02" value="<!--{$arrForm.password02.value|h}-->" maxlength="<!--{$arrForm.password02.length}-->" style="<!--{$arrErr.password|cat:$arrErr.password02|sfGetErrorColor}-->" class="box120" />
+                    <input type="password" name="<!--{$key2}-->" value="<!--{$arrForm[$key2].value|h}-->" maxlength="<!--{$arrForm[$key2].length}-->" style="<!--{$arrErr[$key1]|cat:$arrErr[$key2]|sfGetErrorColor}-->" class="box120" />
                     <p><span class="attention mini">確認のために2度入力してください。</span></p>
                 </td>
@@ -239,14 +243,16 @@
                 <th>パスワードを忘れた時のヒント<span class="attention">※</span></th>
                 <td>
-                    <!--{if $arrErr.reminder || $arrErr.reminder_answer}-->
-                        <div class="attention"><!--{$arrErr.reminder}--><!--{$arrErr.reminder_answer}--></div>
+                    <!--{assign var=key1 value="`$prefix`reminder"}-->
+                    <!--{assign var=key2 value="`$prefix`reminder_answer"}-->
+                    <!--{if $arrErr[$key1] || $arrErr[$key2]}-->
+                        <div class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></div>
                     <!--{/if}-->
                     質問：
-                    <select name="reminder" style="<!--{$arrErr.reminder|sfGetErrorColor}-->">
+                    <select name="<!--{$key1}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->">
                         <option value="" selected="selected">選択してください</option>
-                        <!--{html_options options=$arrReminder selected=$arrForm.reminder.value}-->
+                        <!--{html_options options=$arrReminder selected=$arrForm[$key1].value}-->
                     </select>
                     <br />
-                    答え：<input type="text" name="reminder_answer" value="<!--{$arrForm.reminder_answer.value|h}-->" style="<!--{$arrErr.reminder_answer|sfGetErrorColor}-->; ime-mode: active;" class="box260" />
+                    答え：<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2].value|h}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: active;" class="box260" />
                 </td>
             </tr>
@@ -254,11 +260,10 @@
                 <th>メールマガジン送付について<span class="attention">※</span></th>
                 <td>
-                    <!--{if $arrErr.mailmaga_flg}-->
-                        <div class="attention"><!--{$arrErr.mailmaga_flg}--></div>
-                    <!--{/if}-->
-                    <span style="<!--{$arrErr.mailmaga_flg|sfGetErrorColor}-->">
-                        <input type="radio" name="mailmaga_flg" value="1" id="html" <!--{if $arrForm.mailmaga_flg.value eq 1}--> checked="checked" <!--{/if}--> /><label for="html">HTMLメール＋テキストメールを受け取る</label><br />
-                        <input type="radio" name="mailmaga_flg" value="2" id="text" <!--{if $arrForm.mailmaga_flg.value eq 2}--> checked="checked" <!--{/if}--> /><label for="text">テキストメールを受け取る</label><br />
-                        <input type="radio" name="mailmaga_flg" value="3" id="no" <!--{if $arrForm.mailmaga_flg.value eq 3}--> checked="checked" <!--{/if}--> /><label for="no">受け取らない</label>
+                    <!--{assign var=key1 value="`$prefix`mailmaga_flg"}-->
+                    <!--{if $arrErr[$key1]}-->
+                        <div class="attention"><!--{$arrErr[$key1]}--></div>
+                    <!--{/if}-->
+                    <span style="<!--{$arrErr[$key1]|sfGetErrorColor}-->">
+                        <!--{html_radios name=$key1 options=$arrMAILMAGATYPE selected=$arrForm[$key1].value separator='<br />'}-->
                     </span>
                 </td>
Index: /branches/version-2_13-dev/data/Smarty/templates/mobile/mypage/change_confirm.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/mobile/mypage/change_confirm.tpl	(revision 23040)
+++ /branches/version-2_13-dev/data/Smarty/templates/mobile/mypage/change_confirm.tpl	(revision 23160)
@@ -36,5 +36,6 @@
         <!--{$arrForm.name01.value|h}-->　<!--{$arrForm.name02.value|h}--><br>
         <!--{$arrForm.kana01.value|h}-->　<!--{$arrForm.kana02.value|h}--><br>
-        <!--{if $arrForm.sex.value eq 1}-->男性<!--{else}-->女性<!--{/if}--><br>
+        <!--{assign var=key1 value="sex"}-->
+        <!--{$arrSex[$arrForm[$key1].value]|h}--><br>
         <!--{$arrJob[$arrForm.job.value]|h}--><br>
         <!--{if strlen($arrForm.year.value) > 0 && strlen($arrForm.month.value) > 0 && strlen($arrForm.day.value) > 0}--><!--{$arrForm.year.value|h}-->年<!--{$arrForm.month.value|h}-->月<!--{$arrForm.day.value|h}-->日生まれ<!--{else}-->生年月日 未登録<!--{/if}--><br>
@@ -60,5 +61,6 @@
 
         【ﾒｰﾙﾏｶﾞｼﾞﾝﾞ】<br>
-        <!--{if $arrForm.mailmaga_flg.value eq 2}-->希望する<!--{else}-->希望しない<!--{/if}--><br>
+        <!--{assign var=key1 value="mailmaga_flg"}-->
+        <!--{$arrMAILMAGATYPE[$arrForm[$key1].value]|h}--><br>
         <br>
 
Index: /branches/version-2_13-dev/data/Smarty/templates/mobile/mypage/change.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/mobile/mypage/change.tpl	(revision 23134)
+++ /branches/version-2_13-dev/data/Smarty/templates/mobile/mypage/change.tpl	(revision 23160)
@@ -46,6 +46,9 @@
 
         【性別】<font color="#FF0000">※</font><br>
-        <font color="#FF0000"><!--{$arrErr.sex}--></font>
-        <input type="radio" name="sex" value="1" <!--{if $arrForm.sex.value eq 1}-->checked<!--{/if}-->>男性&nbsp;<input type="radio" name="sex" value="2" <!--{if $arrForm.sex eq 2}-->checked<!--{/if}-->>女性<br>
+        <!--{assign var=key1 value="sex"}-->
+        <!--{if $arrErr[$key1]}-->
+            <font color="#FF0000"><!--{$arrErr[$key1]}--></font>
+        <!--{/if}-->
+        <!--{html_radios name=$key1 options=$arrSex selected=$arrForm[$key1].value separator='&nbsp;'}--><br>
 
         【職業】<br>
Index: /branches/version-2_13-dev/data/Smarty/templates/mobile/entry/index.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/mobile/entry/index.tpl	(revision 23134)
+++ /branches/version-2_13-dev/data/Smarty/templates/mobile/entry/index.tpl	(revision 23160)
@@ -47,6 +47,9 @@
 
         ●性別<font color="#FF0000"> *</font><br>
-        <font color="#FF0000"><!--{$arrErr.sex}--></font>
-        <input type="radio" name="sex" value="1" <!--{if $arrForm.sex.value eq 1}-->checked<!--{/if}-->>男性&nbsp;<input type="radio" name="sex" value="2" <!--{if $arrForm.sex.value eq 2}-->checked<!--{/if}-->>女性<br>
+        <!--{assign var=key1 value="sex"}-->
+        <!--{if $arrErr[$key1]}-->
+            <font color="#FF0000"><!--{$arrErr[$key1]}--></font>
+        <!--{/if}-->
+        <!--{html_radios name=$key1 options=$arrSex selected=$arrForm[$key1].value separator='&nbsp;'}--><br>
 
         ●職業<br>
Index: /branches/version-2_13-dev/data/Smarty/templates/mobile/entry/confirm.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/mobile/entry/confirm.tpl	(revision 23040)
+++ /branches/version-2_13-dev/data/Smarty/templates/mobile/entry/confirm.tpl	(revision 23160)
@@ -40,5 +40,6 @@
 
         ●性別<br>
-        <!--{if $arrForm.sex.value eq 1}-->男性<!--{else}-->女性<!--{/if}--><br>
+        <!--{assign var=key1 value="sex"}-->
+        <!--{$arrSex[$arrForm[$key1].value]|h}--><br>
 
         ●職業<br>
@@ -65,5 +66,6 @@
 
         ●ﾒｰﾙﾏｶﾞｼﾞﾝ<br>
-        <!--{if $arrForm.mailmaga_flg.value eq 2}-->希望する<!--{else}-->希望しない<!--{/if}--><br>
+        <!--{assign var=key1 value="mailmaga_flg"}-->
+        <!--{$arrMAILMAGATYPE[$arrForm[$key1].value]|h}--><br>
         <br>
 