Index: /branches/version-2_13_0/data/Smarty/templates/default/site_frame.tpl
===================================================================
--- /branches/version-2_13_0/data/Smarty/templates/default/site_frame.tpl	(revision 23168)
+++ /branches/version-2_13_0/data/Smarty/templates/default/site_frame.tpl	(revision 23169)
@@ -46,8 +46,5 @@
 <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/jquery-1.4.2.min.js"></script>
 <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.js"></script>
-<!--{if $load_legacy_js}-->
-    <!--{* 従来のJavaScript関数が必要な場合 LC_Page::init() で $load_legacy_js を true に設定する *}-->
-    <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
-<!--{/if}-->
+<script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
 <!--{if $tpl_page_class_name === "LC_Page_Abouts"}-->
     <!--{if ($smarty.server.HTTPS != "") && ($smarty.server.HTTPS != "off")}-->
Index: /branches/version-2_13_0/data/Smarty/templates/default/popup_header.tpl
===================================================================
--- /branches/version-2_13_0/data/Smarty/templates/default/popup_header.tpl	(revision 23168)
+++ /branches/version-2_13_0/data/Smarty/templates/default/popup_header.tpl	(revision 23169)
@@ -30,8 +30,5 @@
 <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/jquery-1.4.2.min.js"></script>
 <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.js"></script>
-<!--{if $load_legacy_js}-->
-    <!--{* 従来のJavaScript関数が必要な場合 LC_Page::init() で $load_legacy_js を true に設定する *}-->
-    <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
-<!--{/if}-->
+<script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
 <title><!--{$arrSiteInfo.shop_name}-->/<!--{$subtitle|h}--></title>
 <link rel="shortcut icon" href="<!--{$TPL_URLPATH}-->img/common/favicon.ico" />
Index: /branches/version-2_13_0/data/Smarty/templates/admin/login_frame.tpl
===================================================================
--- /branches/version-2_13_0/data/Smarty/templates/admin/login_frame.tpl	(revision 23168)
+++ /branches/version-2_13_0/data/Smarty/templates/admin/login_frame.tpl	(revision 23169)
@@ -33,8 +33,5 @@
 <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/jquery-1.4.2.min.js"></script>
 <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.js"></script>
-<!--{if $load_legacy_js}-->
-    <!--{* 従来のJavaScript関数が必要な場合 LC_Page::init() で $load_legacy_js を true に設定する *}-->
-    <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
-<!--{/if}-->
+<script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
 <title>管理機能</title>
 <link rel="shortcut icon" href="<!--{$TPL_URLPATH}-->img/common/favicon.ico" />
Index: /branches/version-2_13_0/data/Smarty/templates/admin/admin_popup_header.tpl
===================================================================
--- /branches/version-2_13_0/data/Smarty/templates/admin/admin_popup_header.tpl	(revision 23168)
+++ /branches/version-2_13_0/data/Smarty/templates/admin/admin_popup_header.tpl	(revision 23169)
@@ -35,9 +35,6 @@
 <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.js"></script>
 <script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/eccube.admin.js"></script>
-<!--{if $load_legacy_js}-->
-    <!--{* 従来のJavaScript関数が必要な場合 LC_Page::init() で $load_legacy_js を true に設定する *}-->
-    <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
-    <script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/eccube.admin.legacy.js"></script>
-<!--{/if}-->
+<script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
+<script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/eccube.admin.legacy.js"></script>
 <link rel="shortcut icon" href="<!--{$TPL_URLPATH}-->img/common/favicon.ico" />
 <link rel="icon" type="image/vnd.microsoft.icon" href="<!--{$TPL_URLPATH}-->img/common/favicon.ico" />
Index: /branches/version-2_13_0/data/Smarty/templates/admin/main_frame.tpl
===================================================================
--- /branches/version-2_13_0/data/Smarty/templates/admin/main_frame.tpl	(revision 23168)
+++ /branches/version-2_13_0/data/Smarty/templates/admin/main_frame.tpl	(revision 23169)
@@ -43,9 +43,6 @@
     <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.js"></script>
 <script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/eccube.admin.js"></script>
-<!--{if $load_legacy_js}-->
-    <!--{* 従来のJavaScript関数が必要な場合 LC_Page::init() で $load_legacy_js を true に設定する *}-->
-    <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
-    <script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/eccube.admin.legacy.js"></script>
-<!--{/if}-->
+<script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
+<script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/eccube.admin.legacy.js"></script>
 <title><!--{$smarty.const.ADMIN_TITLE}--></title>
 <link rel="shortcut icon" href="<!--{$TPL_URLPATH}-->img/common/favicon.ico" />
Index: /branches/version-2_13_0/data/Smarty/templates/sphone/popup_header.tpl
===================================================================
--- /branches/version-2_13_0/data/Smarty/templates/sphone/popup_header.tpl	(revision 23168)
+++ /branches/version-2_13_0/data/Smarty/templates/sphone/popup_header.tpl	(revision 23169)
@@ -35,9 +35,6 @@
     <script src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.js"></script>
     <script src="<!--{$TPL_URLPATH}-->js/eccube.sphone.js"></script>
-    <!--{if $load_legacy_js}-->
-        <!--{* 従来のJavaScript関数が必要な場合 LC_Page::init() で $load_legacy_js を true に設定する *}-->
-        <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
-        <script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/eccube.sphone.legacy.js"></script>
-    <!--{/if}-->
+    <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
+    <script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/eccube.sphone.legacy.js"></script>
     <script src="<!--{$TPL_URLPATH}-->js/jquery.biggerlink.js"></script>
     <script type="text/javascript">
Index: /branches/version-2_13_0/data/Smarty/templates/sphone/site_frame.tpl
===================================================================
--- /branches/version-2_13_0/data/Smarty/templates/sphone/site_frame.tpl	(revision 23168)
+++ /branches/version-2_13_0/data/Smarty/templates/sphone/site_frame.tpl	(revision 23169)
@@ -52,9 +52,6 @@
         <script src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.js"></script>
         <script src="<!--{$TPL_URLPATH}-->js/eccube.sphone.js"></script>
-        <!--{if $load_legacy_js}-->
-            <!--{* 従来のJavaScript関数が必要な場合 LC_Page::init() で $load_legacy_js を true に設定する *}-->
-            <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
-            <script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/eccube.sphone.legacy.js"></script>
-        <!--{/if}-->
+        <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/eccube.legacy.js"></script>
+        <script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/eccube.sphone.legacy.js"></script>
         <script src="<!--{$TPL_URLPATH}-->js/jquery.biggerlink.js"></script>
         <script>//<![CDATA[