Index: /branches/version-2_13_0/data/mtb_constants_init.php
===================================================================
--- /branches/version-2_13_0/data/mtb_constants_init.php	(revision 23027)
+++ /branches/version-2_13_0/data/mtb_constants_init.php	(revision 23182)
@@ -483,4 +483,4 @@
 /** 決済処理中ステータスのロールバックを行う時間の設定(秒) */
 define('PENDING_ORDER_CANCEL_TIME', 900);
-
-
+/** 決済処理中ステータスのロールバックをするか(true:する false:しない) */
+define('PENDING_ORDER_CANCEL_FLAG', true);
Index: /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage_Order.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 23182)
@@ -63,7 +63,5 @@
         //決済処理中ステータスのロールバック
         $objPurchase = new SC_Helper_Purchase_Ex();
-        $objPurchase->checkSessionPendingOrder();
-        $objPurchase->checkDbMyPendignOrder();
-        $objPurchase->checkDbAllPendingOrder();
+        $objPurchase->cancelPendingOrder(PENDING_ORDER_CANCEL_FLAG);
 
         //受注詳細データの取得
Index: /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage.php	(revision 23182)
@@ -75,7 +75,5 @@
         //決済処理中ステータスのロールバック
         $objPurchase = new SC_Helper_Purchase_Ex();
-        $objPurchase->checkSessionPendingOrder();
-        $objPurchase->checkDbMyPendignOrder();
-        $objPurchase->checkDbAllPendingOrder();
+        $objPurchase->cancelPendingOrder(PENDING_ORDER_CANCEL_FLAG);
 
         $objCustomer = new SC_Customer_Ex();
Index: /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage_History.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 23182)
@@ -73,10 +73,7 @@
         //決済処理中ステータスのロールバック
         $objPurchase = new SC_Helper_Purchase_Ex();
-        SC_Helper_Purchase_Ex::checkSessionPendingOrder();
-        SC_Helper_Purchase_Ex::checkDbMyPendignOrder();
-        SC_Helper_Purchase_Ex::checkDbAllPendingOrder();
+        $objPurchase->cancelPendingOrder(PENDING_ORDER_CANCEL_FLAG);
 
         $objCustomer    = new SC_Customer_Ex();
-        $objPurchase = new SC_Helper_Purchase_Ex();
         $objProduct  = new SC_Product();
 
Index: /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage_Login.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 23182)
@@ -63,7 +63,5 @@
         //決済処理中ステータスのロールバック
         $objPurchase = new SC_Helper_Purchase_Ex();
-        $objPurchase->checkSessionPendingOrder();
-        $objPurchase->checkDbMyPendignOrder();
-        $objPurchase->checkDbAllPendingOrder();
+        $objPurchase->cancelPendingOrder(PENDING_ORDER_CANCEL_FLAG);
 
         SC_Response_Ex::sendRedirect(DIR_INDEX_PATH);
Index: /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping_Deliv.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 23182)
@@ -69,12 +69,9 @@
         //決済処理中ステータスのロールバック
         $objPurchase = new SC_Helper_Purchase_Ex();
-        $objPurchase->checkSessionPendingOrder();
-        $objPurchase->checkDbMyPendignOrder();
-        $objPurchase->checkDbAllPendingOrder();
+        $objPurchase->cancelPendingOrder(PENDING_ORDER_CANCEL_FLAG);
 
         $objSiteSess = new SC_SiteSession_Ex();
         $objCartSess = new SC_CartSession_Ex();
         $objCustomer = new SC_Customer_Ex();
-        $objPurchase = new SC_Helper_Purchase_Ex();
         $objFormParam = new SC_FormParam_Ex();
         $objAddress = new SC_Helper_Address_Ex();
Index: /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping_Multiple.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 23182)
@@ -66,11 +66,8 @@
         //決済処理中ステータスのロールバック
         $objPurchase = new SC_Helper_Purchase_Ex();
-        $objPurchase->checkSessionPendingOrder();
-        $objPurchase->checkDbMyPendignOrder();
-        $objPurchase->checkDbAllPendingOrder();
+        $objPurchase->cancelPendingOrder(PENDING_ORDER_CANCEL_FLAG);
 
         $objSiteSess = new SC_SiteSession_Ex();
         $objCartSess = new SC_CartSession_Ex();
-        $objPurchase = new SC_Helper_Purchase_Ex();
         $objCustomer = new SC_Customer_Ex();
         $objFormParam = new SC_FormParam_Ex();
Index: /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping_Confirm.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 23182)
@@ -74,12 +74,9 @@
         //決済処理中ステータスのロールバック
         $objPurchase = new SC_Helper_Purchase_Ex();
-        $objPurchase->checkSessionPendingOrder();
-        $objPurchase->checkDbMyPendignOrder();
-        $objPurchase->checkDbAllPendingOrder();
+        $objPurchase->cancelPendingOrder(PENDING_ORDER_CANCEL_FLAG);
 
         $objCartSess = new SC_CartSession_Ex();
         $objSiteSess = new SC_SiteSession_Ex();
         $objCustomer = new SC_Customer_Ex();
-        $objPurchase = new SC_Helper_Purchase_Ex();
 
         $this->is_multiple = $objPurchase->isMultiple();
Index: /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping_Payment.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 23182)
@@ -74,11 +74,8 @@
         //決済処理中ステータスのロールバック
         $objPurchase = new SC_Helper_Purchase_Ex();
-        $objPurchase->checkSessionPendingOrder();
-        $objPurchase->checkDbMyPendignOrder();
-        $objPurchase->checkDbAllPendingOrder();
+        $objPurchase->cancelPendingOrder(PENDING_ORDER_CANCEL_FLAG);
 
         $objSiteSess = new SC_SiteSession_Ex();
         $objCartSess = new SC_CartSession_Ex();
-        $objPurchase = new SC_Helper_Purchase_Ex();
         $objCustomer = new SC_Customer_Ex();
         $objFormParam = new SC_FormParam_Ex();
Index: /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping.php	(revision 23182)
@@ -78,7 +78,5 @@
         //決済処理中ステータスのロールバック
         $objPurchase = new SC_Helper_Purchase_Ex();
-        $objPurchase->checkSessionPendingOrder();
-        $objPurchase->checkDbMyPendignOrder();
-        $objPurchase->checkDbAllPendingOrder();
+        $objPurchase->cancelPendingOrder(PENDING_ORDER_CANCEL_FLAG);
 
         $objSiteSess = new SC_SiteSession_Ex();
@@ -86,5 +84,4 @@
         $objCustomer = new SC_Customer_Ex();
         $objCookie = new SC_Cookie_Ex();
-        $objPurchase = new SC_Helper_Purchase_Ex();
         $objFormParam = new SC_FormParam_Ex();
 
Index: /branches/version-2_13_0/data/class/pages/cart/LC_Page_Cart.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/cart/LC_Page_Cart.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/pages/cart/LC_Page_Cart.php	(revision 23182)
@@ -76,7 +76,5 @@
         //決済処理中ステータスのロールバック
         $objPurchase = new SC_Helper_Purchase_Ex();
-        $objPurchase->checkSessionPendingOrder();
-        $objPurchase->checkDbMyPendignOrder();
-        $objPurchase->checkDbAllPendingOrder();
+        $objPurchase->cancelPendingOrder(PENDING_ORDER_CANCEL_FLAG);
 
         $objCartSess = new SC_CartSession_Ex();
Index: /branches/version-2_13_0/data/class/pages/entry/LC_Page_Entry_Kiyaku.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/entry/LC_Page_Entry_Kiyaku.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/pages/entry/LC_Page_Entry_Kiyaku.php	(revision 23182)
@@ -65,7 +65,5 @@
         //決済処理中ステータスのロールバック
         $objPurchase = new SC_Helper_Purchase_Ex();
-        SC_Helper_Purchase_Ex::checkSessionPendingOrder();
-        SC_Helper_Purchase_Ex::checkDbMyPendignOrder();
-        SC_Helper_Purchase_Ex::checkDbAllPendingOrder();
+        $objPurchase->cancelPendingOrder(PENDING_ORDER_CANCEL_FLAG);
 
         $arrKiyaku = $this->lfGetKiyakuData();
Index: /branches/version-2_13_0/data/class/pages/entry/LC_Page_Entry.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/entry/LC_Page_Entry.php	(revision 23168)
+++ /branches/version-2_13_0/data/class/pages/entry/LC_Page_Entry.php	(revision 23182)
@@ -77,7 +77,5 @@
         //決済処理中ステータスのロールバック
         $objPurchase = new SC_Helper_Purchase_Ex();
-        $objPurchase->checkSessionPendingOrder();
-        $objPurchase->checkDbMyPendignOrder();
-        $objPurchase->checkDbAllPendingOrder();
+        $objPurchase->cancelPendingOrder(PENDING_ORDER_CANCEL_FLAG);
 
         $objFormParam = new SC_FormParam_Ex();
Index: /branches/version-2_13_0/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php	(revision 23182)
@@ -66,7 +66,5 @@
         //決済処理中ステータスのロールバック
         $objPurchase = new SC_Helper_Purchase_Ex();
-        $objPurchase->checkSessionPendingOrder();
-        $objPurchase->checkDbMyPendignOrder();
-        $objPurchase->checkDbAllPendingOrder();
+        $objPurchase->cancelPendingOrder(PENDING_ORDER_CANCEL_FLAG);
 
         // 会員管理クラス
Index: /branches/version-2_13_0/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/products/LC_Page_Products_List.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/pages/products/LC_Page_Products_List.php	(revision 23182)
@@ -94,7 +94,5 @@
         //決済処理中ステータスのロールバック
         $objPurchase = new SC_Helper_Purchase_Ex();
-        $objPurchase->checkSessionPendingOrder();
-        $objPurchase->checkDbMyPendignOrder();
-        $objPurchase->checkDbAllPendingOrder();
+        $objPurchase->cancelPendingOrder(PENDING_ORDER_CANCEL_FLAG);
 
         $objProduct = new SC_Product_Ex();
Index: /branches/version-2_13_0/data/class/pages/products/LC_Page_Products_Detail.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/products/LC_Page_Products_Detail.php	(revision 23159)
+++ /branches/version-2_13_0/data/class/pages/products/LC_Page_Products_Detail.php	(revision 23182)
@@ -101,7 +101,5 @@
         //決済処理中ステータスのロールバック
         $objPurchase = new SC_Helper_Purchase_Ex();
-        $objPurchase->checkSessionPendingOrder();
-        $objPurchase->checkDbMyPendignOrder();
-        $objPurchase->checkDbAllPendingOrder();
+        $objPurchase->cancelPendingOrder(PENDING_ORDER_CANCEL_FLAG);
 
         // 会員クラス
Index: /branches/version-2_13_0/data/class/pages/LC_Page_Index.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/LC_Page_Index.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/pages/LC_Page_Index.php	(revision 23182)
@@ -64,7 +64,5 @@
         //決済処理中ステータスのロールバック
         $objPurchase = new SC_Helper_Purchase_Ex();
-        $objPurchase->checkSessionPendingOrder();
-        $objPurchase->checkDbMyPendignOrder();
-        $objPurchase->checkDbAllPendingOrder();
+        $objPurchase->cancelPendingOrder(PENDING_ORDER_CANCEL_FLAG);
 
         $this->tpl_title = '';
Index: /branches/version-2_13_0/data/class/helper/SC_Helper_Purchase.php
===================================================================
--- /branches/version-2_13_0/data/class/helper/SC_Helper_Purchase.php	(revision 23181)
+++ /branches/version-2_13_0/data/class/helper/SC_Helper_Purchase.php	(revision 23182)
@@ -1344,4 +1344,17 @@
     
     /**
+     * 決済処理中スタータスの受注データのキャンセル処理
+     * @param $cancel_flg 決済処理中ステータスのロールバックをするか(true:する false:しない)  
+     */
+    public function cancelPendingOrder($cancel_flg)
+    {
+        if($cancel_flg == true){
+            $this->checkDbAllPendingOrder();
+            $this->checkDbMyPendignOrder();
+            $this->checkSessionPendingOrder();
+        }
+    }
+    
+    /**
      * 決済処理中スタータスの全受注検索
      */
Index: /branches/version-2_13_0/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2_13_0/html/install/sql/insert_data.sql	(revision 23140)
+++ /branches/version-2_13_0/html/install/sql/insert_data.sql	(revision 23182)
@@ -1263,4 +1263,5 @@
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('TAX_RULE_PRIORITY', '"product_id,product_class_id,pref_id,country_id"', 1416, '複数箇所の税率設定時における優先度設定。カンマ区切りスペース不可で記述。後に書いてあるキーに一致するほど優先される。デフォルト：''product_id,product_class_id,pref_id,country_id''（国＞地域（県）＞規格単位＞商品単位）');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('PENDING_ORDER_CANCEL_TIME', '900', 1417, '決済処理中ステータスのロールバックを行う時間の設定(秒) ');
+INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('PENDING_ORDER_CANCEL_FLAG', 'true', 1418, '決済処理中ステータスのロールバックをするか(true:する false:しない)');
 
 INSERT INTO dtb_index_list (table_name, column_name, recommend_flg, recommend_comment) VALUES ('dtb_customer', 'email_mobile', 0, '会員数増加時のログイン処理速度を向上させたいときに試してみてください');